#!/bin/bash

# 朴津机器人插件
go build --buildmode=plugin -o ./so/pji/overspeed.so ./trigger/pji/odom/overspeed/main/main.go
go build --buildmode=plugin -o ./so/pji/obstacledetection.so ./trigger/pji/obstacle_detection/obstacledetection/main/main.go
go build --buildmode=plugin -o ./so/pji/cpuoveroccupied.so ./trigger/pji/sys_info/cpuoveroccupied/main/main.go
go build --buildmode=plugin -o ./so/pji/memoveroccupied.so ./trigger/pji/sys_info/memoveroccupied/main/main.go
go build --buildmode=plugin -o ./so/pji/locationfailed.so ./trigger/pji/locate_info/locationfailed/main/main.go
go build --buildmode=plugin -o ./so/pji/unstabledriving.so ./trigger/pji/imu/unstabledriving/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#1#21031701.so ./trigger/pji/diagnostics/errorcode#1#21031701/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#1#21031702.so ./trigger/pji/diagnostics/errorcode#1#21031702/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21020001.so ./trigger/pji/diagnostics/errorcode#2#21020001/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21020401.so ./trigger/pji/diagnostics/errorcode#2#21020401/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21020501.so ./trigger/pji/diagnostics/errorcode#2#21020501/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21020601.so ./trigger/pji/diagnostics/errorcode#2#21020601/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21021101.so ./trigger/pji/diagnostics/errorcode#2#21021101/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21030001.so ./trigger/pji/diagnostics/errorcode#2#21030001/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21030401.so ./trigger/pji/diagnostics/errorcode#2#21030401/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21030501.so ./trigger/pji/diagnostics/errorcode#2#21030501/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21030601.so ./trigger/pji/diagnostics/errorcode#2#21030601/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21030701.so ./trigger/pji/diagnostics/errorcode#2#21030701/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21030702.so ./trigger/pji/diagnostics/errorcode#2#21030702/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21030801.so ./trigger/pji/diagnostics/errorcode#2#21030801/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21030802.so ./trigger/pji/diagnostics/errorcode#2#21030802/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21031001.so ./trigger/pji/diagnostics/errorcode#2#21031001/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21031101.so ./trigger/pji/diagnostics/errorcode#2#21031101/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21031201.so ./trigger/pji/diagnostics/errorcode#2#21031201/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21031403.so ./trigger/pji/diagnostics/errorcode#2#21031403/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21031404.so ./trigger/pji/diagnostics/errorcode#2#21031404/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21040803.so ./trigger/pji/diagnostics/errorcode#2#21040803/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21041001.so ./trigger/pji/diagnostics/errorcode#2#21041001/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21041102.so ./trigger/pji/diagnostics/errorcode#2#21041102/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21050701.so ./trigger/pji/diagnostics/errorcode#2#21050701/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21050703.so ./trigger/pji/diagnostics/errorcode#2#21050703/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21050801.so ./trigger/pji/diagnostics/errorcode#2#21050801/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21051401.so ./trigger/pji/diagnostics/errorcode#2#21051401/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#2#21051402.so ./trigger/pji/diagnostics/errorcode#2#21051402/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#4#21050101.so ./trigger/pji/diagnostics/errorcode#4#21050101/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#4#21050201.so ./trigger/pji/diagnostics/errorcode#4#21050201/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#4#21050202.so ./trigger/pji/diagnostics/errorcode#4#21050202/main/main.go
#go build --buildmode=plugin -o ./so/pji/errorcode#4#21050301.so ./trigger/pji/diagnostics/errorcode#4#21050301/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21030907.so ./trigger/pji/diagnostics/errorcode#5#21030907/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21030908.so ./trigger/pji/diagnostics/errorcode#5#21030908/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21031511.so ./trigger/pji/diagnostics/errorcode#5#21031511/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21031512.so ./trigger/pji/diagnostics/errorcode#5#21031512/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21031513.so ./trigger/pji/diagnostics/errorcode#5#21031513/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21031514.so ./trigger/pji/diagnostics/errorcode#5#21031514/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21031603.so ./trigger/pji/diagnostics/errorcode#5#21031603/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21031604.so ./trigger/pji/diagnostics/errorcode#5#21031604/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21031605.so ./trigger/pji/diagnostics/errorcode#5#21031605/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041501.so ./trigger/pji/diagnostics/errorcode#5#21041501/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041502.so ./trigger/pji/diagnostics/errorcode#5#21041502/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041503.so ./trigger/pji/diagnostics/errorcode#5#21041503/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041504.so ./trigger/pji/diagnostics/errorcode#5#21041504/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041505.so ./trigger/pji/diagnostics/errorcode#5#21041505/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041506.so ./trigger/pji/diagnostics/errorcode#5#21041506/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041507.so ./trigger/pji/diagnostics/errorcode#5#21041507/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041508.so ./trigger/pji/diagnostics/errorcode#5#21041508/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041510.so ./trigger/pji/diagnostics/errorcode#5#21041510/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041601.so ./trigger/pji/diagnostics/errorcode#5#21041601/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041602.so ./trigger/pji/diagnostics/errorcode#5#21041602/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21041606.so ./trigger/pji/diagnostics/errorcode#5#21041606/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21050901.so ./trigger/pji/diagnostics/errorcode#5#21050901/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21050902.so ./trigger/pji/diagnostics/errorcode#5#21050902/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21050904.so ./trigger/pji/diagnostics/errorcode#5#21050904/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21050905.so ./trigger/pji/diagnostics/errorcode#5#21050905/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21050906.so ./trigger/pji/diagnostics/errorcode#5#21050906/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21051509.so ./trigger/pji/diagnostics/errorcode#5#21051509/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21051704.so ./trigger/pji/diagnostics/errorcode#5#21051704/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21051705.so ./trigger/pji/diagnostics/errorcode#5#21051705/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21051706.so ./trigger/pji/diagnostics/errorcode#5#21051706/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21051707.so ./trigger/pji/diagnostics/errorcode#5#21051707/main/main.go
go build --buildmode=plugin -o ./so/pji/errorcode#5#21051708.so ./trigger/pji/diagnostics/errorcode#5#21051708/main/main.go
