package main

import (
	"cicv-data-closedloop/pjisuv_msgs"
	"fmt"
)

func Topic() string {
	return "/cicv_location"
}

// Label todo 禁止存在下划线_
func Label() string {
	return "brake"
}

func Rule(data *pjisuv_msgs.PerceptionLocalization) string {
	fmt.Println("当前减速度为：", data.AccelX)
	if data.AccelX*9.8 < -5.0 {
		return "brake"
	} else {
		return ""
	}
}
